Bug 825951 - Component links on Component/versions page are not intuitive
Component links on Component/versions page are not intuitive
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 03:43 EDT by Karel Piwko
Modified: 2013-06-23 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2.4-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 19:43:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use case 1 (37.15 KB, image/png)
2012-06-08 05:09 EDT, Karel Piwko
no flags Details
Use case step 2 (47.93 KB, image/png)
2012-06-08 05:10 EDT, Karel Piwko
no flags Details

  None (edit)
Description Karel Piwko 2012-05-29 03:43:01 EDT
Description of problem:

Links with component names does not navigate to a page where list of component related bugs are listed. It actually returns back to some generic page.


Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. Select product (WFK2)
2. Go to Browse 
3. Choose any component and click on its name (Requirement)
  
Actual results:

List of actual/recent bugs across whole product.


Expected results:


List of actual/recent bugs *only* for selected component


Additional info:

If you want to get the list, you have to click on 'View' next to component name.
Comment 1 Simon Green 2012-06-07 20:16:04 EDT
(In reply to comment #0)
> Steps to Reproduce:
> 1. Select product (WFK2)
> 2. Go to Browse 
> 3. Choose any component and click on its name (Requirement)

Can you please provide clearer steps to reproduce. For example, step one is to select a product? Where are you selecting the product? (there is no product options on the home page)
Comment 2 Karel Piwko 2012-06-08 05:09:26 EDT
Created attachment 590382 [details]
Use case 1
Comment 3 Karel Piwko 2012-06-08 05:09:55 EDT
Sure:

1/ Open bugzilla (go to https://bugzilla.redhat.com/)
2/ Click on Browse
3/ Select a product (JBoss Enterprise WFK Platform 2) from a select box
4/ Click on Change button
5/ Click on Component/Versions tab
6/ Now the link in column "Name" is broken as described above, you have to click on link in "Bug list" column.
Comment 4 Karel Piwko 2012-06-08 05:10:26 EDT
Created attachment 590383 [details]
Use case step 2
Comment 5 Simon Green 2012-09-11 22:23:27 EDT
(In reply to comment #4)
> Use case step 2

Thanks for that. The bug we need to fix is that clicking on the component name link doesn't restrict the list to that component. It is expected that you need to click on the 'View' link to view the complete bug list.

Matt: Can you also check all the other links on the browse page too?

  -- simon
Comment 6 Jan Pokorný 2012-09-13 07:32:32 EDT
I ran into this too [1].

To be clear, I do like the idea of 10 Most Recently Updated Bugs etc.,
provided that this is restricted to the selected product+component
as one can expect.

[1] http://post-office.corp.redhat.com/archives/bugzilla-development-list/2012-September/msg00012.html
Comment 8 Matt Tyson 2012-10-30 03:01:33 EDT
I've fixed up the browse extension so that search results are now restricted to the specified component or version.
Comment 9 xuezhi ma 2012-11-19 04:56:36 EST
Verify version: 4.2.4-7 on test server -> PASS

Verify steps:
1. Login Bugzilla.
2. Go to Bugzilla home page.
3. Click browse button on the top menu.
4. Select a fedora, open bugs, then click change.
5. Click Components/Versions tab.
6. Click one component in component list.
7. Check the components of Past Due Bugs and Most Recently Updated Bugs.


Actual result:
All bugs' component is user selected before.

Note You need to log in before you can comment on or make changes to this bug.